' ==============================================================================
'  CleanLog.vbs - Ot@C폜
'	2013/09/15 100	Chiho	
' ==============================================================================

'  `t@C
' -+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
ScriptFullName		= Wscript.ScriptFullName
ScriptName		= Wscript.ScriptName
BINPATH			= Left(ScriptFullName, Len(ScriptFullName) - Len(ScriptName))
ETCPATH			= BINPATH & "..\etc\"
DEFINEFILENAME		= "MenuWeb.conf"
DEFINEFILEPATH		= ETCPATH & DEFINEFILENAME

'  ftHgl
' -+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
LOGDIR			= "C:\MenuWeb\log"		' OfBNg
HISTORYDIR		= "C:\MenuWeb\history"		' fBNg
LOGPERIOD		= 7				' OۊǓ
HISTORYPERIOD		= 7				' ۊǓ
LOGPREFIX		= "MenuWeb"			' O
LOGSURFFIX		= ".log"			' Ogq
DEBUGLOGSURFFIX		= ".debug"			' fobOOgq
HISTORYTMPSURFFIX	= ".tmp"			' gqirj
HISTORYSURFFIX		= ".log"			' gqij

With CreateObject("Scripting.FileSystemObject")

  '  `t@Cǂݍ
  ' ---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
  If .FileExists(DEFINEFILEPATH) Then

    With .OpenTextFile(DEFINEFILEPATH, 1)
      Do Until .AtEndOfStream
        LineBuffer = .ReadLine
        If Left(LineBuffer, 1) = "#" Then
        Else
          arry		= split(LineBuffer, "=")
          If 0 < UBound(arry) Then
            var		= arry(0)
            value		= arry(1)
            If	   var = "LOGDIR" Then
              LOGDIR		= value
            ElseIf var = "HISTORYDIR" Then
              HISTORYDIR	= value
            ElseIf var = "LOGPERIOD" Then
              LOGPERIOD		= value
            ElseIf var = "HISTORYPERIOD" Then
              HISTORYPERIOD	= value
            ElseIf var = "LOGPREFIX" Then
              LOGPREFIX		= value
            ElseIf var = "LOGSURFFIX" Then
              LOGSURFFIX	= value
            ElseIf var = "DEBUGLOGSURFFIX" Then
              DEBUGLOGSURFFIX	= value
            ElseIf var = "HISTORYTMPSURFFIX" Then
              HISTORYTMPSURFFIX	= value
            ElseIf var = "HISTORYSURFFIX" Then
              HISTORYSURFFIX	= value
            End If
          End If
        End If
      Loop
    End With
  End If

  '  O폜̓t
  ' ---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
  DEL_YYYY_MM_DD	= DateAdd("d", -LOGPERIOD, Date)
  DEL_YYYYMMDD		= Left(DEL_YYYY_MM_DD, 4) & Mid(DEL_YYYY_MM_DD, 6, 2) & Right(DEL_YYYY_MM_DD, 2)

  '  wo߂O폜
  ' -+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
  For Each filepath In .getFolder(LOGDIR).Files
    If Left(filepath.Name, Len(LOGPREFIX)) = LOGPREFIX And (Right(filepath, Len(LOGSURFFIX)) = LOGSURFFIX Or Right(filepath, Len(DEBUGLOGSURFFIX)) = DEBUGLOGSURFFIX) Then
      With .GetFile(filepath)
        FILE_YYYY_MM_DD	= .DateLastModified
      End With
      FILE_YYYYMMDD	= Left(FILE_YYYY_MM_DD, 4) & Mid(FILE_YYYY_MM_DD, 6, 2) & Mid(FILE_YYYY_MM_DD, 9, 2)
      If FILE_YYYYMMDD < DEL_YYYYMMDD Then
        .DeleteFile filepath
      End If
    End If
  Next

  '  O폜̓t
  ' ---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
  DEL_YYYY_MM_DD	= DateAdd("d", -HISTORYDIRPERIOD, Date)
  DEL_YYYYMMDD		= Left(DEL_YYYY_MM_DD, 4) & Mid(DEL_YYYY_MM_DD, 6, 2) & Right(DEL_YYYY_MM_DD, 2)

  '  wo߂O폜
  ' -+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
  For Each filepath In .getFolder(HISTORYDIR).Files
    If Right(filepath.Name, Len(HISTORYSURFFIX)) = HISTORYSURFFIX Or Right(filepath, Len(HISTORYTMPSURFFIX)) = HISTORYTMPSURFFIX Then
      With .GetFile(filepath)
        FILE_YYYY_MM_DD	= .DateLastModified
      End With
      FILE_YYYYMMDD	= Left(FILE_YYYY_MM_DD, 4) & Mid(FILE_YYYY_MM_DD, 6, 2) & Mid(FILE_YYYY_MM_DD, 9, 2)
      If FILE_YYYYMMDD < DEL_YYYYMMDD Then
        .DeleteFile filepath
      End If
    End If
  Next

End With

'  I
' -+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
WScript.Quit